LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleTable Interface Reference

Implement this interface to give access to a two-dimensional table. More...

`import"XAccessibleTable.idl";`

Inheritance diagram for XAccessibleTable:

## Public Member Functions
long | getAccessibleRowCount ()
| Returns the number of used rows in the table. More...
long | getAccessibleColumnCount ()
| Returns the number of used columns in the table. More...
string | getAccessibleRowDescription ([in] long nRow) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the description text of the specified row in the table. More...
string | getAccessibleColumnDescription ([in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the description text of the specified column in the table. More...
long | getAccessibleRowExtentAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the number of rows occupied by the Accessible at the specified row and column in the table. More...
long | getAccessibleColumnExtentAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the number of columns occupied by the Accessible at the specified row and column in the table. More...
XAccessibleTable | getAccessibleRowHeaders ()
| Returns the row headers as an XAccessibleTable object. More...
XAccessibleTable | getAccessibleColumnHeaders ()
| Returns the column headers as an XAccessibleTable object. More...
sequence< long > | getSelectedAccessibleRows ()
| Returns a list of the indices of completely selected rows in a table. More...
sequence< long > | getSelectedAccessibleColumns ()
| Returns a list of the indices of completely selected columns in a table. More...
boolean | isAccessibleRowSelected ([in] long nRow) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the specified row is completely selected. More...
boolean | isAccessibleColumnSelected ([in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the specified column is completely selected. More...
XAccessible | getAccessibleCellAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the XAccessible object at the specified row and column in the table. More...
XAccessible | getAccessibleCaption ()
| Returns the caption for the table. More...
XAccessible | getAccessibleSummary ()
| Returns the summary description of the table. More...
boolean | isAccessibleSelected ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the accessible at the specified row and column is selected. More...
hyper | getAccessibleIndex ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the child index of the accessible object that spans the specified cell. More...
long | getAccessibleRow ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Translate the given child index into the corresponding row index. More...
long | getAccessibleColumn ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Translate the given child index into the corresponding column index. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface to give access to a two-dimensional table.

The XAccessibleTable interface is used to represent two-dimensional tables. This interface combines the two interfaces `javax.accessibility.AccessibleTable` and `javax.accessibility.AccessibleExtendedTable` of the Java Accessibility API (version 1.4).

All XAccessible objects that represent cells or cell-clusters of a table have to be at the same time children of the table. This is necessary to be able to convert row and column indices into child indices and vice versa with the methods XAccessibleTable::getAccessibleIndex(), XAccessibleTable::getAccessibleRow(), and XAccessibleTable::getAccessibleColumn().

The range of valid coordinates for this interface are implementation dependent. However, that range includes at least the intervals from the first row or column with the index 0 up to the last (but not including) used row or column as returned by XAccessibleTable::getAccessibleRowCount() and XAccessibleTable::getAccessibleColumnCount(). In case of Calc the current range of valid indices for retrieving data include the maximum table size minus one.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getAccessibleCaption()

XAccessible getAccessibleCaption | ( |  | ) |

Returns the caption for the table.

Returns
  If the table has a caption then a reference to it is returned, else an empty reference is returned.

## ◆ getAccessibleCellAt()

XAccessible getAccessibleCellAt | ( | [in] long | nRow,
|  | [in] long | nColumn
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the XAccessible object at the specified row and column in the table.

This method has been renamed from the Java name `getAccessibleAt` to XAccessibleTable::getAccessibleCellAt() to avoid ambiguities with the XAccessibleComponent::getAccessibleAt() method when accessed, for instance, from StarBasic.

Parameters

  nRow | The row index for which to retrieve the cell.
  nColumn | The column index for which to retrieve the cell.

Returns
  If both row and column index are valid then the corresponding XAccessible object is returned that represents the requested cell regardless of whether the cell is currently visible (on the screen).

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified column and/or row index is not valid, i.e. lies not inside the valid range of 0 up to XAccessibleTable::getAccessibleColumnCount() - 1.

## ◆ getAccessibleColumn()

long getAccessibleColumn | ( | [in] hyper | nChildIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Translate the given child index into the corresponding column index.

Parameters

  nChildIndex | Index of the child of the table for which to return the column index.

Returns
  Returns the column index of the cell of the specified child or the index of the first column if the child spans multiple columns.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if nChildIndex addresses an invalid column.

## ◆ getAccessibleColumnCount()

long getAccessibleColumnCount | ( |  | ) |

Returns the number of used columns in the table.

The implementation, however, may allow the access of columns beyond this number.

Returns
  Returns the number of used columns in the table or 0 for an empty table.

## ◆ getAccessibleColumnDescription()

string getAccessibleColumnDescription | ( | [in] long | nColumn | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the description text of the specified column in the table.

Parameters

  nColumn | The index of the column for which to retrieve the description.

Returns
  Returns the description text of the specified row in the table if such a description exists. Otherwise an empty string is returned.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified column index is not valid, i.e. lies not inside the valid range of 0 up to XAccessibleTable::getAccessibleColumnCount() - 1.

## ◆ getAccessibleColumnExtentAt()

long getAccessibleColumnExtentAt | ( | [in] long | nRow,
|  | [in] long | nColumn
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the number of columns occupied by the Accessible at the specified row and column in the table.

The result differs from 1 if the specified cell spans multiple columns.

Parameters

  nRow | Row index of the accessible for which to return the column extent.
  nColumn | Column index of the accessible for which to return the column extent.

Returns
  Returns the column extent of the specified.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified column index is not valid, i.e. lies not inside the valid range of 0 up to XAccessibleTable::getAccessibleColumnCount() - 1.

## ◆ getAccessibleColumnHeaders()

XAccessibleTable getAccessibleColumnHeaders | ( |  | ) |

Returns the column headers as an XAccessibleTable object.

Content and size of the returned table are implementation dependent.

Returns
  Returns always a valid reference to an XAccessibleTable object.

## ◆ getAccessibleIndex()

hyper getAccessibleIndex | ( | [in] long | nRow,
|  | [in] long | nColumn
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the child index of the accessible object that spans the specified cell.

This is the same index that would be returned by calling XAccessibleContext::getAccessibleIndexInParent() for that accessible object.

Parameters

  nRow | Row index of the accessible object for which to return the child index.
  nColumn | Row index of the accessible object for which to return the child index.

Returns
  Child index of the specified accessible object or -1 if one or both of the given indices is/are invalid.

## ◆ getAccessibleRow()

long getAccessibleRow | ( | [in] hyper | nChildIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Translate the given child index into the corresponding row index.

Parameters

  nChildIndex | Index of the child of the table for which to return the row index.

Returns
  Returns the row index of the cell of the specified child or the index of the first row if the child spans multiple rows.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if nChildIndex addresses an invalid row.

## ◆ getAccessibleRowCount()

long getAccessibleRowCount | ( |  | ) |

Returns the number of used rows in the table.

The implementation, however, may allow the access of columns beyond this number.

Returns
  Returns the number of used rows in the table or 0 for an empty table.

## ◆ getAccessibleRowDescription()

string getAccessibleRowDescription | ( | [in] long | nRow | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the description text of the specified row in the table.

Parameters

  nRow | The index of the row for which to retrieve the description.

Returns
  Returns the description text of the specified row in the table if such a description exists. Otherwise an empty string is returned.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified row index is not valid, i.e. lies not inside the valid range of 0 up to XAccessibleTable::getAccessibleRowCount() - 1.

## ◆ getAccessibleRowExtentAt()

long getAccessibleRowExtentAt | ( | [in] long | nRow,
|  | [in] long | nColumn
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the number of rows occupied by the Accessible at the specified row and column in the table.

The result differs from 1 if the specified cell spans multiple rows.

Parameters

  nRow | Row index of the accessible for which to return the column extent.
  nColumn | Column index of the accessible for which to return the column extent.

Returns
  Returns the row extent of the specified cell.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified row index is not valid, i.e. lies not inside the valid range of 0 up to XAccessibleTable::getAccessibleRowCount() - 1.

## ◆ getAccessibleRowHeaders()

XAccessibleTable getAccessibleRowHeaders | ( |  | ) |

Returns the row headers as an XAccessibleTable object.

Content and size of the returned table are implementation dependent.

Returns
  Returns always a valid reference to an XAccessibleTable object.

## ◆ getAccessibleSummary()

XAccessible getAccessibleSummary | ( |  | ) |

Returns the summary description of the table.

Returns
  Returns a reference to an implementation dependent XAccessible object representing the table's summary or an empty reference if the table does not support a summary.

## ◆ getSelectedAccessibleColumns()

sequence< long > getSelectedAccessibleColumns | ( |  | ) |

Returns a list of the indices of completely selected columns in a table.

Returns
  The returned sequence contains indices of all completely selected columns in the table. This sequence is in ascending order. If no column is selected then the sequence is empty.

## ◆ getSelectedAccessibleRows()

sequence< long > getSelectedAccessibleRows | ( |  | ) |

Returns a list of the indices of completely selected rows in a table.

Returns
  The returned sequence contains indices of all completely selected rows in the table. This sequence is in ascending order. If no row is selected then the sequence is empty.

## ◆ isAccessibleColumnSelected()

boolean isAccessibleColumnSelected | ( | [in] long | nColumn | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns a boolean value indicating whether the specified column is completely selected.

Parameters

  nColumn | Index of the column for which to determine whether it is selected.

Returns
  Returns `TRUE` if the specified column is selected completely and `FALSE` otherwise.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified column index is not valid, i.e. lies not inside the valid range of 0 up to XAccessibleTable::getAccessibleColumnCount() - 1.

## ◆ isAccessibleRowSelected()

boolean isAccessibleRowSelected | ( | [in] long | nRow | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns a boolean value indicating whether the specified row is completely selected.

Parameters

  nRow | Index of the row for which to determine whether it is selected.

Returns
  Returns `TRUE` if the specified row is selected completely and `FALSE` otherwise.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified row index is not valid, i.e. lies not inside the valid range of 0 up to XAccessibleTable::getAccessibleRowCount() - 1.

## ◆ isAccessibleSelected()

boolean isAccessibleSelected | ( | [in] long | nRow,
|  | [in] long | nColumn
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns a boolean value indicating whether the accessible at the specified row and column is selected.

Parameters

  nRow | Row index of the cell for which to determine if the accessible object that spans that cell is selected.
  nColumn | Column index of the cell for which to determine if the accessible object that spans that cell is selected.

Returns
  Returns `TRUE` if the given row and column indices are valid and the specified accessible object is selected. Otherwise `FALSE` is returned.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleTable.idl